with Interfaces.C; use Interfaces.C;
with stddef_h;
with System;

package dbus_memory_h is

   --  unsupported macro: dbus_new(type,count) ((type*)dbus_malloc (sizeof (type) * (count)));
   --  unsupported macro: dbus_new0(type,count) ((type*)dbus_malloc0 (sizeof (type) * (count)));
   function dbus_malloc (arg1 : stddef_h.size_t) return System.Address;  -- ../dbus/dbus-memory.h:40:7
   pragma Import (C, dbus_malloc, "dbus_malloc");

   function dbus_malloc0 (arg1 : stddef_h.size_t) return System.Address;  -- ../dbus/dbus-memory.h:41:7
   pragma Import (C, dbus_malloc0, "dbus_malloc0");

   function dbus_realloc (arg1 : System.Address; arg2 : stddef_h.size_t) return System.Address;  -- ../dbus/dbus-memory.h:42:7
   pragma Import (C, dbus_realloc, "dbus_realloc");

   procedure dbus_free (arg1 : System.Address);  -- ../dbus/dbus-memory.h:44:7
   pragma Import (C, dbus_free, "dbus_free");

   procedure dbus_free_string_array (arg1 : System.Address);  -- ../dbus/dbus-memory.h:49:6
   pragma Import (C, dbus_free_string_array, "dbus_free_string_array");

   type DBusFreeFunction is access procedure (arg1 : System.Address);  -- ../dbus/dbus-memory.h:51:17

   procedure dbus_shutdown;  -- ../dbus/dbus-memory.h:53:6
   pragma Import (C, dbus_shutdown, "dbus_shutdown");

end dbus_memory_h;
